Bug 132245 - CAN-2004-1237 Kernel panic when stopping Lotus Domino 6.52
CAN-2004-1237 Kernel panic when stopping Lotus Domino 6.52
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Martuccelli
public=20040910,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 04:27 EDT by Rainer Traut
Modified: 2007-11-30 17:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 18:52:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netdump log (8.65 KB, text/plain)
2004-09-10 04:29 EDT, Rainer Traut
no flags Details
Oops logfile (4.45 KB, text/plain)
2004-09-10 10:35 EDT, Elliot Kendall
no flags Details
ksymoops output (5.68 KB, text/plain)
2004-09-10 10:38 EDT, Elliot Kendall
no flags Details

  None (edit)
Description Rainer Traut 2004-09-10 04:27:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a3)
Gecko/20040826

Description of problem:
I see this on two servers (only ones where I have to restart domino).
Other one had a binary module loaded but error message is exactly the
same as here.
It crashes when I stop Domino, either via cron script or via console

I did a netdump to antoher machine.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. server -q on domino console
2. Kernel panic
3.

Actual Results:  kernel panic

Expected Results:  no kernel panic

Additional info:

x86info v1.11.  Dave Jones 2001, 2002
Feedback to <davej@suse.de>.

Found 2 CPUs
CPU #1
/dev/cpu/0/cpuid: No such device
Family: 15 Model: 2 Stepping: 5 Type: 0
CPU Model: Pentium 4 Xeon (Northwood) Original OEM
Processor name string:                   Intel(R) Xeon(TM) CPU 2.40GHz

Number of logical processors supported within the physical package: 2

CPU #2
Family: 15 Model: 2 Stepping: 5 Type: 0
CPU Model: Pentium 4 Xeon (Northwood) Original OEM
Processor name string:                   Intel(R) Xeon(TM) CPU 2.40GHz

Number of logical processors supported within the physical package: 2


WARNING: Detected SMP, but unable to access cpuid driver.
Used single CPU routines. Results inaccurate.

00:00.0 Host bridge: Intel Corp. E7501 Memory Controller Hub (rev 01)
00:02.0 PCI bridge: Intel Corp. E7000 Series Hub Interface B
PCI-to-PCI Bridge (rev 01)
00:03.0 PCI bridge: Intel Corp. E7000 Series Hub Interface C
PCI-to-PCI Bridge (rev 01)
00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #1) (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corp. 82801CA LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801CA Ultra ATA Storage
Controller (rev 02)
00:1f.3 SMBus: Intel Corp. 82801CA/CAM SMBus Controller (rev 02)
01:01.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 10)
01:02.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
02:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04)
02:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04)
02:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04)
02:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04)
03:03.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
03:03.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m
(rev 01)
05:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04)
05:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04)
05:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04)
05:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04)
06:03.0 I2O: Adaptec (formerly DPT) SmartRAID V Controller (rev 02)
06:03.1 PCI bridge: Adaptec (formerly DPT) PCI Bridge (rev 02)
08:01.0 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
08:01.1 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
Comment 1 Rainer Traut 2004-09-10 04:29:08 EDT
Created attachment 103680 [details]
netdump log

logfile of the kernel panic (not tainted... ;p)
Comment 2 Rainer Traut 2004-09-10 06:26:59 EDT
This only happens after Update to U3.
Before everything has run fine.
Comment 3 Elliot Kendall 2004-09-10 10:33:52 EDT
I am seeing similar behavior, but the crash occurs while running the
Nessus client. Kernel 2.4.21-20.EL (non-SMP) on a Pentium 3 1266 MHz.
Comment 4 Elliot Kendall 2004-09-10 10:35:11 EDT
Created attachment 103687 [details]
Oops logfile
Comment 5 Elliot Kendall 2004-09-10 10:38:50 EDT
Created attachment 103688 [details]
ksymoops output
Comment 7 Rainer Traut 2004-09-13 02:47:53 EDT
I have another two observations:

- I booted the server with the former running kernel
2.4.21-15.0.4.ELsmp. Then it crashed again!

- I then booted 2.4.21-20.ELsmp but disabled audit daemon.
The server runs fine now since then with 2.4.21-20.ELsmp and audit
disabled. Domino has been started and stopped many times without problem.
Comment 8 Ernie Petrides 2004-11-15 21:22:27 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-25.1.EL).
Comment 9 Ernie Petrides 2004-12-07 16:29:12 EST
*** Bug 141996 has been marked as a duplicate of this bug. ***
Comment 10 Ernie Petrides 2004-12-07 16:33:45 EST
*** Bug 142091 has been marked as a duplicate of this bug. ***
Comment 11 Ernie Petrides 2004-12-09 16:30:41 EST
*** Bug 142442 has been marked as a duplicate of this bug. ***
Comment 12 Bill Nottingham 2005-01-04 13:13:22 EST
*** Bug 144048 has been marked as a duplicate of this bug. ***
Comment 13 Ernie Petrides 2005-01-12 22:50:29 EST
The fix for this problem has also been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.2.EL).
Comment 14 David Lawrence 2005-01-18 18:52:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-043.html

Note You need to log in before you can comment on or make changes to this bug.